/*yasep/cookies.js
created 20110808 by whygee@f-cpu.org
depends on core-js/base66s.js
this file manages the persistent user interface parameters.
a "cache" is maintained, numbers are encoded
in base66s, windows are stored as .name-xpos-ypos-xsize-ysize
cookies_cache[0]="-" to skip the introduction page, empty otherwise.
*/

var cookies_cache=[];
//var windows_list=[];

// found on the 'web :
function getCookie(name) {
  var start = document.cookie.indexOf(name + "=");
  var len = start + name.length + 1;
  if ((!start) && (name != document.cookie.substring(0, name.length)))
    return null;
  if (start == -1)
    return null;
  var end = document.cookie.indexOf( ';', len);
  if (end == -1)
    end = document.cookie.length;
  return unescape(document.cookie.substring(len, end));
}

function setCookie( name, value, expires, path, domain, secure ) {
  var today = new Date();
  today.setTime( today.getTime() );
  if (expires)
    expires = expires * 1000 * 60 * 60 * 24;
  var expires_date = new Date( today.getTime() + (expires) );
  document.cookie = name+'='+escape( value ) +
      ((expires) ? ';expires='+expires_date.toGMTString() : '' ) + //expires.toGMTString()
      ((path)    ? ';path=' + path : '' ) +
      ((domain)  ? ';domain=' + domain : '' ) +
      ((secure)  ? ';secure' : '' );
}

///////////////////////////////////////////////////////////////
// manage the YGWM megacookie :
function init_cookies(){
  var c=getCookie("a");
  if (c==null)
    return;
  cookies_cache=c.split('.');
  if (cookies_cache[0]) {
    var l=cookies_cache[0]+""; // make sure it's a string
    LANG.LANG=decode_number_base66(l);
  }
}

function save_cookies(){
  cookies_cache[0]=""+encode_number_base66(LANG.LANG);
  cookies_cache[1]="!";
  setCookie("a",cookies_cache.join("."),3); // expiry after 3 days
}
